Package org.bgerp.action

# Class ProcessAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
org.bgerp.action.ProcessAction

Direct Known Subclasses:
  `ProcessAction`, `ProcessLinkAction`, `ProcessQueueAction`

public class ProcessAction extends BaseAction

- ## Field Summary

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, MAPPER, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected static void`
  `doCreateWizard(DynActionForm form, Connection con, Process process, ProcessType type)`
  `protected Process`
  `getProcess(ProcessDAO processDao, int id)`
  Gets process entity by ID.
  `static ProcessType`
  `getProcessType(int typeId)`
  Возвращает тип процесса из кэша по его коду либо генерит исключение, если его нет.
  `org.apache.struts.action.ActionForward`
  `messagePossibleProcessList(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `process(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `processClone(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `processCreate(DynActionForm form, Connection con)`
  Создаёт процесс и возвращает его код для перехода в редактор.
  `static void`
  `processCreate(DynActionForm form, Connection con, Process process)`
  `static void`
  `processCreate(DynActionForm form, Connection con, Process process, int groupId)`
  `static Process`
  `processCreateAndGet(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `processCreateGroups(DynActionForm form, Connection con)`
  `static List<ProcessCreateType>`
  `processCreateTypes(DynActionForm form, String area, Set<Integer> ids)`
  List of process types, allowed for creation, filtered by 'create.in' configuration and process isolation
  `org.apache.struts.action.ActionForward`
  `processDelete(DynActionForm form, Connection con)`
  `static void`
  `processDelete(DynActionForm form, Connection con, Process process)`
  `org.apache.struts.action.ActionForward`
  `processDeleteTmp(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `processDescriptionAdd(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `processDescriptionUpdate(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `processExecutorsEdit(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `processExecutorsSwap(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `processExecutorsUpdate(DynActionForm form, Connection con)`
  `static void`
  `processExecutorsUpdate(DynActionForm form, Connection con, Process process, Set<ProcessGroup> processGroups, Set<ProcessExecutor> processExecutors)`
  `org.apache.struts.action.ActionForward`
  `processFinishCreateTmp(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `processGroupsEdit(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `processGroupsUpdate(DynActionForm form, Connection con)`
  `static void`
  `processGroupsUpdate(DynActionForm form, Connection con, Process process, Set<ProcessGroup> processGroups)`
  `org.apache.struts.action.ActionForward`
  `processMerge(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `processMergeEdit(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `processPriorityEdit(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `processPriorityUpdate(DynActionForm form, Connection con)`
  `static void`
  `processPriorityUpdate(DynActionForm form, Process process, Connection con, Integer priority)`
  `org.apache.struts.action.ActionForward`
  `processStatusEdit(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `processStatusHistory(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `processStatusUpdate(DynActionForm form, Connection con)`
  `static void`
  `processStatusUpdate(DynActionForm form, Connection con, Process process, StatusChange change)`
  `org.apache.struts.action.ActionForward`
  `processTypeEdit(DynActionForm form, Connection con)`
  `protected List<IdTitle>`
  `processTypes(Collection<Process> processes)`
  List with process types, reverce ordered by usage counts
  `org.apache.struts.action.ActionForward`
  `processTypeUpdate(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `unionLog(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `unspecified(DynActionForm form, ConnectionSet conSet)`
  Default action method if no parameter 'action' passed.
  `org.apache.struts.action.ActionForward`
  `userProcessList(DynActionForm form, ConnectionSet conSet)`

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProcessAction

    public ProcessAction()

- ## Method Details

  - ### unspecified

    public org.apache.struts.action.ActionForward unspecified(DynActionForm form, ConnectionSet conSet) throws Exception
    Description copied from class: `BaseAction`
    Default action method if no parameter 'action' passed. Overwrite and implement.
    Overrides:
      `unspecified` in class `BaseAction`
    Parameters:
      `form` -
      `conSet` -
    Returns:
    Throws:
      `Exception`

  - ### process

    public org.apache.struts.action.ActionForward process(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### processCreateTypes

    public static List<ProcessCreateType> processCreateTypes(DynActionForm form, String area, Set<Integer> ids)
    List of process types, allowed for creation, filtered by 'create.in' configuration and process isolation
    Parameters:
      `form` - current request form user and permission
      `area` - creation area
      `ids` - optional additional restricting process IDs
    Returns:
      list of process types

  - ### processCreateGroups

    public org.apache.struts.action.ActionForward processCreateGroups(DynActionForm form, Connection con)

  - ### processCreateAndGet

    public static Process processCreateAndGet(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### processCreate

    public static void processCreate(DynActionForm form, Connection con, Process process) throws Exception
    Throws:
      `Exception`

  - ### processCreate

    public static void processCreate(DynActionForm form, Connection con, Process process, int groupId) throws Exception
    Throws:
      `Exception`

  - ### doCreateWizard

    protected static void doCreateWizard(DynActionForm form, Connection con, Process process, ProcessType type) throws SQLException
    Throws:
      `SQLException`

  - ### processCreate

    public org.apache.struts.action.ActionForward processCreate(DynActionForm form, Connection con) throws Exception
    Создаёт процесс и возвращает его код для перехода в редактор.
    Throws:
      `Exception`

  - ### processClone

    public org.apache.struts.action.ActionForward processClone(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### processDeleteTmp

    public org.apache.struts.action.ActionForward processDeleteTmp(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### processDelete

    public org.apache.struts.action.ActionForward processDelete(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### processDelete

    public static void processDelete(DynActionForm form, Connection con, Process process) throws Exception
    Throws:
      `Exception`

  - ### processFinishCreateTmp

    public org.apache.struts.action.ActionForward processFinishCreateTmp(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### processStatusEdit

    public org.apache.struts.action.ActionForward processStatusEdit(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### processStatusUpdate

    public org.apache.struts.action.ActionForward processStatusUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### processStatusUpdate

    public static void processStatusUpdate(DynActionForm form, Connection con, Process process, StatusChange change) throws Exception
    Throws:
      `Exception`

  - ### processStatusHistory

    public org.apache.struts.action.ActionForward processStatusHistory(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### processPriorityEdit

    public org.apache.struts.action.ActionForward processPriorityEdit(DynActionForm form, ConnectionSet conSet)

  - ### processPriorityUpdate

    public org.apache.struts.action.ActionForward processPriorityUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### processPriorityUpdate

    public static void processPriorityUpdate(DynActionForm form, Process process, Connection con, Integer priority) throws Exception
    Throws:
      `Exception`

  - ### processTypeEdit

    public org.apache.struts.action.ActionForward processTypeEdit(DynActionForm form, Connection con)

  - ### processTypeUpdate

    public org.apache.struts.action.ActionForward processTypeUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### processDescriptionUpdate

    public org.apache.struts.action.ActionForward processDescriptionUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### processDescriptionAdd

    public org.apache.struts.action.ActionForward processDescriptionAdd(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### processGroupsEdit

    public org.apache.struts.action.ActionForward processGroupsEdit(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### processGroupsUpdate

    public org.apache.struts.action.ActionForward processGroupsUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### processGroupsUpdate

    public static void processGroupsUpdate(DynActionForm form, Connection con, Process process, Set<ProcessGroup> processGroups) throws Exception
    Throws:
      `Exception`

  - ### processExecutorsEdit

    public org.apache.struts.action.ActionForward processExecutorsEdit(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### processExecutorsUpdate

    public org.apache.struts.action.ActionForward processExecutorsUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### processExecutorsSwap

    public org.apache.struts.action.ActionForward processExecutorsSwap(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### processExecutorsUpdate

    public static void processExecutorsUpdate(DynActionForm form, Connection con, Process process, Set<ProcessGroup> processGroups, Set<ProcessExecutor> processExecutors) throws Exception
    Throws:
      `Exception`

  - ### getProcess

    protected Process getProcess(ProcessDAO processDao, int id) throws SQLException, BGMessageException
    Gets process entity by ID.
    Parameters:
      `processDao` - DAO.
      `id` - process ID.
    Returns:
    Throws:
      `SQLException` - - DB exception.
      `BGMessageException` - - entity not found.

  - ### getProcessType

    public static ProcessType getProcessType(int typeId) throws BGMessageException
    Возвращает тип процесса из кэша по его коду либо генерит исключение, если его нет.
    Parameters:
      `typeId` -
    Returns:
    Throws:
      `BGMessageException`

  - ### messagePossibleProcessList

    public org.apache.struts.action.ActionForward messagePossibleProcessList(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### unionLog

    public org.apache.struts.action.ActionForward unionLog(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### userProcessList

    public org.apache.struts.action.ActionForward userProcessList(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### processTypes

    protected List<IdTitle> processTypes(Collection<Process> processes)
    List with process types, reverce ordered by usage counts
    Parameters:
      `processes` -

  - ### processMergeEdit

    public org.apache.struts.action.ActionForward processMergeEdit(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### processMerge

    public org.apache.struts.action.ActionForward processMerge(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`